/*********************************************************************
*                      SEGGER Microcontroller GmbH                   *
*                        The Embedded Experts                        *
**********************************************************************
*                                                                    *
*      (c) 2018  SEGGER Microcontroller GmbH                         *
*                                                                    *
*       www.segger.com     Support: support@segger.com               *
*                                                                    *
**********************************************************************
-------------------------- END-OF-HEADER -----------------------------

File    : SEGGER_SYSVIEW_embOS.h
Purpose : Interface between embOS and System View.
Revision: $Rev: 7745 $
*/

#ifndef SYSVIEW_EMBOS_H
#define SYSVIEW_EMBOS_H

#include "RTOS.h"
#include "SEGGER_SYSVIEW.h"

// embOS trace API that targets SYSVIEW
extern const OS_TRACE_API          embOS_TraceAPI_SYSVIEW;

// Services provided to SYSVIEW by embOS
extern const SEGGER_SYSVIEW_OS_API SYSVIEW_X_OS_TraceAPI;

#endif

/*************************** End of file ****************************/
